Package: org.apache.groovy.groovysh.completion

## [Groovy] Enum GroovySyntaxCompleter.CompletionCase

- org.apache.groovy.groovysh.completion.GroovySyntaxCompleter.CompletionCase

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static GroovySyntaxCompleter.CompletionCase` | `DOT_LAST` |
    `static GroovySyntaxCompleter.CompletionCase` | `INSTANCEOF` |
    `static GroovySyntaxCompleter.CompletionCase` | `MAX_VALUE` |
    `static GroovySyntaxCompleter.CompletionCase` | `MIN_VALUE` |
    `static GroovySyntaxCompleter.CompletionCase` | `NO_COMPLETION` |
    `static GroovySyntaxCompleter.CompletionCase` | `NO_DOT_PREFIX` |
    `static GroovySyntaxCompleter.CompletionCase` | `PREFIX_AFTER_DOT` |
    `static GroovySyntaxCompleter.CompletionCase` | `PREFIX_AFTER_SPREAD_DOT` |
    `static GroovySyntaxCompleter.CompletionCase` | `SECOND_IDENT` |
    `static GroovySyntaxCompleter.CompletionCase` | `SPREAD_DOT_LAST` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySyntaxCompleter.CompletionCase ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static GroovySyntaxCompleter.CompletionCase` | `$INIT( para)`
    `` | `GroovySyntaxCompleter.CompletionCase` | `next()`
    `` | `GroovySyntaxCompleter.CompletionCase` | `previous()`
    `` | `static GroovySyntaxCompleter.CompletionCase` | `valueOf(String name)`
    `` | `static GroovySyntaxCompleter.CompletionCase[]` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final GroovySyntaxCompleter.CompletionCase DOT_LAST

    - #### public static final GroovySyntaxCompleter.CompletionCase INSTANCEOF

    - #### public static final GroovySyntaxCompleter.CompletionCase MAX_VALUE

    - #### public static final GroovySyntaxCompleter.CompletionCase MIN_VALUE

    - #### public static final GroovySyntaxCompleter.CompletionCase NO_COMPLETION

    - #### public static final GroovySyntaxCompleter.CompletionCase NO_DOT_PREFIX

    - #### public static final GroovySyntaxCompleter.CompletionCase PREFIX_AFTER_DOT

    - #### public static final GroovySyntaxCompleter.CompletionCase PREFIX_AFTER_SPREAD_DOT

    - #### public static final GroovySyntaxCompleter.CompletionCase SECOND_IDENT

    - #### public static final GroovySyntaxCompleter.CompletionCase SPREAD_DOT_LAST

  - ### Constructor Detail

    - #### GroovySyntaxCompleter.CompletionCase()

  - ### Method Detail

    - #### @Generatedgroovy.transform.Generated static final GroovySyntaxCompleter.CompletionCase $INIT( para)

    - #### @Generatedgroovy.transform.Generated GroovySyntaxCompleter.CompletionCase next()

    - #### @Generatedgroovy.transform.Generated GroovySyntaxCompleter.CompletionCase previous()

    - #### @Generatedgroovy.transform.Generated static GroovySyntaxCompleter.CompletionCase valueOf(String name)

    - #### @Generatedgroovy.transform.Generated static final GroovySyntaxCompleter.CompletionCase[] values()